.sdl-activityindicator-child {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
}
.sdl-activityindicator-child > div {
  position: absolute;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  padding: 0;
}
.sdl-activityindicator-child-screen-bright:before,
.sdl-activityindicator-child-screen-dark:before {
  content: "";
  display: block;
  opacity: .9;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
}
.sdl-activityindicator-child-screen-bright:before {
  background-color: white;
}
.sdl-activityindicator-child-screen-dark:before {
  background-color: #AAA;
}
.sdl-activityindicator-child > :first-child {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  top: 50%;
  left: 50%;
  width: 300px;
  height: 132px;
  margin: -66px 0 0 -150px;
  text-align: center;
  cursor: default;
  text-transform: uppercase;
  font-family: Arial;
}
.sdl-activityindicator-legacy > .sdl-activityindicator-child > :first-child {
  line-height: 132px;
  font-size: 18px;
  color: #878787;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-medium > :first-child,
.sdl-activityindicator > .sdl-activityindicator-child-size-small > :first-child {
  display: none;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child {
  padding-top: 112px;
  line-height: 15px;
  font-size: 15px;
  font-weight: bold;
  color: #5C636D;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child:not(:empty):before,
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child:not(:empty):after {
  content: "";
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 50%;
  padding: 0;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border-radius: 50%;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child:not(:empty):before {
  width: 100px;
  height: 100px;
  margin: 0 0 0 -50px;
  border: 13px solid rgba(237, 237, 237, 0.6);
}
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child:not(:empty):after {
  width: 50px;
  height: 50px;
  margin: 25px 0 0 -25px;
  border: none;
  background: #ffffff url("data:image/png;base64,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") no-repeat center center;
}
.sdl-activityindicator-child > :last-child {
  top: 50%;
  left: 50%;
  padding: 0;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border-radius: 50%;
}
.sdl-activityindicator-legacy > .sdl-activityindicator-child > :last-child {
  width: 170px;
  height: 170px;
  margin: -85px 0 0 -85px;
  border: 13px solid #666666;
  border-top-color: #CDCDCD;
  border-right-color: #CDCDCD;
  -webkit-animation: sdl-activityindicator-rotate-legacy 1s linear infinite;
  -o-animation: sdl-activityindicator-rotate-legacy 1s linear infinite;
  -moz-animation: sdl-activityindicator-rotate-legacy 1s linear infinite;
  animation: sdl-activityindicator-rotate-legacy 1s linear infinite;
}
.sdl-activityindicator > .sdl-activityindicator-child > :last-child {
  width: 68px;
  height: 68px;
  margin: -34px 0 0 -34px;
  border: 9px solid rgba(125, 139, 171, 0.4);
  border-top-color: #7D8BAB;
  -webkit-animation: sdl-activityindicator-rotate 0.5s linear infinite;
  -o-animation: sdl-activityindicator-rotate 0.5s linear infinite;
  -moz-animation: sdl-activityindicator-rotate 0.5s linear infinite;
  animation: sdl-activityindicator-rotate 0.5s linear infinite;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-medium > :last-child {
  width: 34px;
  height: 34px;
  margin: -17px 0 0 -17px;
  border-width: 5px;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-small > :last-child {
  width: 16px;
  height: 16px;
  margin: -8px 0 0 -8px;
  border-width: 2px;
}
.sdl-activityindicator > .sdl-activityindicator-child-size-large > :first-child:not(:empty) + :last-child {
  margin-top: -50px;
}
@keyframes sdl-activityindicator-rotate-legacy {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes sdl-activityindicator-rotate-legacy {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes sdl-activityindicator-rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes sdl-activityindicator-rotate {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}
